Last Comment Bug 631566 - Document the main Privacy & Security pref pane and add a Help button to it
: Document the main Privacy & Security pref pane and add a Help button to it
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.19
Assigned To: rsx11m
:
Mentors:
Depends on: 416234 630270 835134
Blocks: 636993 844823 847182 852809
  Show dependency treegraph
 
Reported: 2011-02-04 09:44 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2013-03-24 12:34 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Part 1: add Help button [Checkin: comment 2] (2.04 KB, patch)
2011-02-04 10:19 PST, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
Details | Diff | Splinter Review
Part 2: Content and linking (11.64 KB, patch)
2013-02-20 21:20 PST, rsx11m
no flags Details | Diff | Splinter Review
Part 2: Content and linking (v2) (11.83 KB, patch)
2013-02-22 07:08 PST, rsx11m
no flags Details | Diff | Splinter Review
Part 2: Content and linking (v3) (12.00 KB, patch)
2013-02-25 18:23 PST, rsx11m
iann_bugzilla: feedback+
Details | Diff | Splinter Review
Part 2: Content and linking (v4) (12.08 KB, patch)
2013-03-02 10:30 PST, rsx11m
no flags Details | Diff | Splinter Review
Part 2: Content and linking (v5) [Checkin: comment 20] (12.37 KB, patch)
2013-03-02 10:56 PST, rsx11m
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2011-02-04 09:44:29 PST
The main Privacy & Security pref pane has no Help button. Oops. Also its contents are not documented, namely the sanitize options (for which bug 416234 already exists) and the new Do-Not-Track checkbox introduced through bug 630270. This bug and/or bug 416234 need to make sure that the whole pane as it is now ends up being documented and featuring a Help button.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2011-02-04 10:19:04 PST
Created attachment 509805 [details] [diff] [review]
Part 1: add Help button [Checkin: comment 2]
Comment 2 Jens Hatlak (:InvisibleSmiley) 2011-02-07 13:43:04 PST
Comment on attachment 509805 [details] [diff] [review]
Part 1: add Help button [Checkin: comment 2]

http://hg.mozilla.org/comm-central/rev/65aed01a5b8d
Comment 3 Jens Hatlak (:InvisibleSmiley) 2011-02-07 13:43:38 PST
Leaving open for the actual Help changes.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2011-02-26 04:32:13 PST
I think the pref pane documentation has priority over documenting sanitizing / Clear Private Data in general, thus moving bug 416234 to list of bugs blocked by this one.
Comment 5 rsx11m 2013-01-31 10:23:23 PST
Bug 835134 splits a new Private Data pane off the main Privacy & Policy pane, extends the "Do Not Track" options per bug 765398, and adds "Safe Browsing" options per bug 477718.

Firefox points to https://www.mozilla.org/dnt for help content of the tracking options. While that's a Firefox-specific site with respect to the preferences and settings, it contains some useful information on the "Do Not Track" options as such which should go into the help content.

See some suggestions in bug 835134 comment #14 and following for longer labels on the safe browsing options, which should provide some more information that may be useful for the related help content.

Some coordination with bug 416234 will be necessary with regard to the options in the new Private Data pane, which is a superset of the menu-based options.
Comment 6 rsx11m 2013-02-03 06:25:13 PST
Bug 835134 attachment 709466 [details] [diff] [review] adds a help topic for the new Private Data pane that needs to be wired, helpTopic="privatedata_prefs".
Comment 7 rsx11m 2013-02-06 19:59:01 PST
Suggested drive-by fix: For the individual subpanels, privsec_help.html points for some items directly to the preferences description, for others to the introductory section. Since this help item is about the pref panes specifically, I'd suggest to also point for those items directly to the preferences sections.
Comment 8 rsx11m 2013-02-06 20:14:07 PST
Also, with respect to suite-toc.rdf, it appears that Privacy & Security is the only category which doesn't have a submenu providing direct access to the subpanes of that category. I'd add those unless this omission was intentional.
Comment 9 rsx11m 2013-02-19 07:20:29 PST
Memo to myself for yet another drive-by fix: http://mxr.mozilla.org/comm-central/source/suite/locales/en-US/chrome/common/help/certs_prefs_help.xhtml#41 uses <h1> for the "Privacy &amp; Security Preferences - Certificates" heading, which should be <h2> instead like the other preference pane headings.
Comment 10 rsx11m 2013-02-20 21:20:21 PST
Created attachment 716350 [details] [diff] [review]
Part 2: Content and linking

Here comes the third and final installment of the trilogy... ;-)

certs_prefs_help.xhtml: Covers comment #9 (<h2> vs. <h1>)

help-index1.rdf: Adds topics for "safe browsing" and "user tracking" so that the help search provides respective hits to the preferences page. 

privsec_help.xhtml: Covers comment #7, followed by the main text additions.

suite-toc.rdf: Covers comment #8 with properly wired subpanel links.

The main Privacy & Security pane in privsec_help.xhtml is split into two <h3> sections following the examples in the Images, Passwords, and other subpanels with multiple groups. I had them both in a single section first, which looked overly long; on the other hand, the feature descriptions aren't long enough to warrant their own sections, thus the proposed structure is the best way I could find to present this and hopefully ok.

The text is a partial adaption from the Firefox KB, https://support.mozilla.org/en-US/kb/how-do-i-turn-do-not-track-feature and https://support.mozilla.org/en-US/kb/security-and-passwords-settings along with some own contributions.

This patch applies against current trunk and may be bitrotted by some of the other patches (specifically bug 416234) I currently have pending for review.
Comment 11 rsx11m 2013-02-21 07:59:28 PST
Eh, spell checker found three typos which I'll correct with the next patch:

> -<p>These preferences allows you to select which types of reported websites
> +<p>These preferences allow you to select which types of reported websites

> -    frequently immitate legitimate websites of well known organizations.</li>
> +    frequently imitate legitimate websites of well-known organizations.</li>
Comment 12 rsx11m 2013-02-22 06:38:17 PST
(Quoting Philip Chee from bug 844098)
> Bug Bug 477718 implemented Safe Browsing in SeaMonkey. [...]
> Toolkit Bug 514817 has some useful strings we can adapt from

> <!ENTITY rights.safebrowsing-b "Disabling the Safe Browsing feature is not
> recommended as it may result in you going to unsafe sites.  If you wish to
> disable the feature completely, follow these steps:">

The first sentence of this entity should fit well at the end of the introduction to the Safe Browsing section to make people think before unticking the boxes, maybe even as a separate paragraph before the <ul> listing.
Comment 13 rsx11m 2013-02-22 07:08:34 PST
Created attachment 717128 [details] [diff] [review]
Part 2: Content and linking (v2)

Addressed comment #11 and comment #12.
Comment 14 rsx11m 2013-02-24 06:27:57 PST
(In reply to rsx11m from comment #10)
> the feature descriptions aren't long enough to warrant their own sections,

After watching the presentation by Gary Kovacs on TED.com (linked to from the Firefox site for "Do Not Track") I'm tempted to change my mind on this. The user tracking stuff has indeed reached scary dimensions and it seems this should be addressed at least to some extent. I think this is beyond the scope of this bug on the pref pane documentation, given that it may open a few cans of worms (not just for the discussion on benefits vs. dangers of tracking, also with respect on how to effectively reducing it, which likely won't work just with DNT and cookie settings but also would have to include add-ons like ABP, assuming that they block tracking along with the underlying ad placements). Thus, I'll spin off a follow-up bug once we are done here to extent privacy_help.xhtml with a general discussion.
Comment 15 rsx11m 2013-02-25 18:23:44 PST
Created attachment 718206 [details] [diff] [review]
Part 2: Content and linking (v3)

Unbitrotted after today's bug 416234 landing.

I've also made a minor change for the target of "safe browsing" in the help index. It was previously pointing to the start of the pref pane description, thus needing quite a bit of scrolling down before actually getting to the <h3> Safe Browsing subsection. Now, the link points directly to the section heading, and I've added an upwards-link to the description how to open the pane.

No other changes relative to attachment 717128 [details] [diff] [review].
Comment 16 Ian Neal (Away until 7th Aug) 2013-03-02 09:51:44 PST
Comment on attachment 718206 [details] [diff] [review]
Part 2: Content and linking (v3)

>+++ b/suite/locales/en-US/chrome/common/help/privsec_help.xhtml

>+<p>These preferences in the <a href="#privacy_and_security">Privacy &amp;
>+  Security panel</a> allow you to select which types of reported websites
>+  with potentially dangerous content are to be blocked. If enabled,
This sounds slightly awkward, at the minimum it is missing some punctuation.

>+  &brandShortName; compares each website&apos;s address you are about to visit
>+  against regularly downloaded lists. A warning is issued prior to actually
Maybe "updated" rather than "downloaded"?

>+<p><strong>Important</strong>: The Safe Browsing feature is switched on by
>+  default. It is <em>not</em> recommended to disable either function as this
>+  may result in you going to unsafe sites.</p>
Perhaps "visiting" rather than "going to"

f+ for the moment, thanks for the good work.
Comment 17 rsx11m 2013-03-02 10:30:52 PST
Created attachment 720304 [details] [diff] [review]
Part 2: Content and linking (v4)

(In reply to Ian Neal from comment #16)
> >+<p>These preferences in the <a href="#privacy_and_security">Privacy &amp;
> >+  Security panel</a> allow you to select which types of reported websites
> >+  with potentially dangerous content are to be blocked. If enabled,
> This sounds slightly awkward, at the minimum it is missing some punctuation.

That's a typical sentence which started out as a 1-liner and then kept growing. ;-)

I've split it and put the explanation of malicious websites being reported upfront, then getting to the related settings. This hopefully makes more sense.

> >+  &brandShortName; compares each website&apos;s address you are about to visit
> >+  against regularly downloaded lists. A warning is issued prior to actually
> Maybe "updated" rather than "downloaded"?

Done - agreed, that it's kept up to date is the main point.

> >+<p><strong>Important</strong>: The Safe Browsing feature is switched on by
> >+  default. It is <em>not</em> recommended to disable either function as this
> >+  may result in you going to unsafe sites.</p>
> Perhaps "visiting" rather than "going to"

That was actually the wording Firefox uses, but "visiting" fits certainly better.
Comment 18 rsx11m 2013-03-02 10:56:12 PST
Created attachment 720309 [details] [diff] [review]
Part 2: Content and linking (v5) [Checkin: comment 20]

Per bug 599097 comment #4, this adds the missing "Popup Windows" links.
Comment 19 rsx11m 2013-03-02 13:02:05 PST
Thanks, push for attachment 720309 [details] [diff] [review] on trunk please.
Comment 20 Ryan VanderMeulen [:RyanVM] 2013-03-02 19:02:24 PST
https://hg.mozilla.org/comm-central/rev/8a14d431ec6d

Note You need to log in before you can comment on or make changes to this bug.